MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028115Open CASCADE[OCCT] OCCT:Visualizationpublic2016-11-16 16:182016-12-09 16:39
Reporterdbp 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028115: Visualization, Ray tracing - Fix crash on NVIDIA GPUs with driver version 373.06 when window is resized
DescriptionRay tracing and path tracing modes cause crash after window resize on NVIDIA driver 373.06 (and close versions) at least on the following GPUs: GeForce 680 GTX, 770 GTX, and 740.
Steps To ReproduceResize the window on NVIDIA GPUs (tested on 6xx and 7xx series) with driver version 373.06.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0060444)
git (administrator)
2016-11-16 17:48

Branch CR28115 has been created by dbp.

SHA-1: 33586d72b8e98b95f0a89a6f1e1824efd66715bd


Detailed log of new commits:

Author: dbp
Date: Wed Nov 16 17:47:07 2016 +0300

    0028115: Visualization, Ray tracing - Fix crash on NVIDIA GPUs with driver version 373.06 when window is resized
(0060445)
dbp (developer)
2016-11-16 17:49

Dear kgv,

Could you please review the patch in branch CR28115?
(0060459)
git (administrator)
2016-11-16 18:57

Branch CR28115 has been updated forcibly by dbp.

SHA-1: b6a6ac4448ac20eca18b8a16db998b407f147375
(0060460)
kgv (developer)
2016-11-16 18:59

Please test the patch.
(0060483)
apv (tester)
2016-11-17 11:59

Dear BugMaster,

Branch CR28115 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: b6a6ac4448ac20eca18b8a16db998b407f147375

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1143

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 91308490 / 91857777 [-0.60%]
Total CPU difference: 21554.44000000025 / 21473.390000000312 [+0.38%]

Testing on Windows:
Total MEMORY difference: 56578192 / 56597852 [-0.03%]
Total CPU difference: 19721.86482139854 / 19669.510885798518 [+0.27%]
(0061299)
git (administrator)
2016-12-07 11:31

Branch CR28115 has been deleted by kgv.

SHA-1: b6a6ac4448ac20eca18b8a16db998b407f147375

- Related Changesets
occt: master 6dd6e5c7
Timestamp: 2016-11-16 14:47:07
Author: dbp
Committer: apn
Details ] Diff ]
0028115: Visualization, Ray tracing - Fix crash on NVIDIA GPUs with driver version 373.06 when window is resized
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-16 16:18 dbp New Issue
2016-11-16 16:18 dbp Assigned To => dbp
2016-11-16 17:47 dbp Summary 0028114: Visualization, Ray tracing - Fix crash on NVIDIA GPUs with driver version 373.06 when window is resized => Visualization, Ray tracing - Fix crash on NVIDIA GPUs with driver version 373.06 when window is resized
2016-11-16 17:48 git Note Added: 0060444
2016-11-16 17:49 dbp Note Added: 0060445
2016-11-16 17:49 dbp Assigned To dbp => kgv
2016-11-16 17:49 dbp Status new => resolved
2016-11-16 17:49 dbp Steps to Reproduce Updated View Revisions
2016-11-16 18:57 git Note Added: 0060459
2016-11-16 18:59 kgv Note Added: 0060460
2016-11-16 18:59 kgv Assigned To kgv => bugmaster
2016-11-16 18:59 kgv Status resolved => reviewed
2016-11-16 18:59 kgv Product Version => 7.1.0
2016-11-16 18:59 kgv Target Version 7.2.0 => 7.1.0
2016-11-16 19:38 apv Assigned To bugmaster => apv
2016-11-17 11:58 apv Test case number => Not needed
2016-11-17 11:59 apv Note Added: 0060483
2016-11-17 11:59 apv Assigned To apv => bugmaster
2016-11-17 11:59 apv Status reviewed => tested
2016-11-18 16:37 apn Changeset attached => occt master 6dd6e5c7
2016-11-18 16:37 apn Assigned To bugmaster => apn
2016-11-18 16:37 apn Status tested => verified
2016-11-18 16:37 apn Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061299
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker